import {Command} from '@oclif/core'
import {tokenFlags} from '../token-flags'
import {checkout} from '../kingoftime'

export default class Checkout extends Command {
  static description = 'Check out';

  static examples = ['<%= config.bin %> <%= command.id %>'];

  static flags = tokenFlags;

  public async run(): Promise<void> {
    const {flags} = await this.parse(Checkout)
    await checkout(flags.token, flags['user-token'])
  }
}
